%define momorel 5

%define __libtoolize :
%define plugindir /usr/lib/xmms/Input

Name: xmms-cdread
Summary: Input plugin that reads audio data from CDs
Version: 0.14a
Release: %{momorel}m
Source: ftp://mud.stack.nl/pub/OuterSpace/willem/%{name}-%{version}.tar.gz
Patch: xmms-cdread-whyfini.patch
License: GPL
Group: Applications/Multimedia
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: xmms >= 1.0.0
BuildPrereq: xmms-devel

%description
This is an alternative to the xmms audio CD plugin with advanced features.

%prep
rm -rf %{buildroot}

%setup -q
%patch -p1

%build
%configure
make

%install
rm -rf %{buildroot}
make libdir=%{buildroot}%{plugindir} install 

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL TODO ChangeLog NEWS README cddb.howto
%{plugindir}/libcdread.*

%changelog
* Mon Oct  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.14a-5m)
- rebuild against xmms-1.2.7-23m
- use momorel

* Wed Apr 10 2002 Toru Hoshina <t@kondara.org>
- (0.14a-4k)
- Why _fini?

* Sun Dec 02 2001 Toshiro HIKITA <toshi@sodan.org>
- (0.14a-2k)
- Imported from 0.11c-1mdk of Mandrake
- updated to 0.14a
- Kondarize

* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- rebuild

* Tue May 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- bump to 0.11c to comply with xmms-1.2.5 interface

* Fri May 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9a-3mdk
- Rebuild.

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9a-2mdk
- build for release

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9a-1mdk
- updated to 0.9a
- patch cdread.c to avoid function conflict

* Tue Oct  3 2000 G Waschk <waschk@linux-mandrake.com> 0.8a-1mdk
- initial Mandrake build

