%define momorel 7

# xmms-midi.spec
%define version 0.03
%define name xmms-midi

Summary: midi plugin for xmms
Name: %{name}
Version: %{version}
Release: %{momorel}m
Group: Applications/Multimedia
Source: http://ban.joh.cam.ac.uk/~cr212/xmms-midi/%{name}-%{version}.tar.gz
Patch1: %{name}-%{version}.config_h.patch
Patch2: %{name}-%{version}.Makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: GPL
Obsoletes: xmms-mid
NoSource: 0

Requires: xmms guspat
BuildRequires: xmms-devel

%description
This is the midi file player Plug-In for x11amp, using the code from
Timidity and based on the .wav file plugin.  It was originally written by
Chris Reed <chris-midx11amp@dotcolon.colondot.net>.

%changelog
* Mon Oct  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.03-7m)
- rebuild against xmms-1.2.7-23m
- use momorel

* Wed Oct 17 2001 Motonobu Ichimura <famao@kondara.org>
- (0.03-6k)
- add Requires: guspat (fix #963)
- modified spec file

* Wed May 18 2000 NORIKANE Seiichiro <no_ri@kf6.so-net.ne.jp>
  [xmms-midi-0.03]
- config.h fixed (/etc/timidity.cfg -> /usr/share/timidity/timidity.cfg)
- Makefule.in fixed
- spec file fixed for Kondara

* Sun Dec  5 1999 Kjetil Wiekhorst J.ANxrgensen <jorgens+rpm@pvv.org>
  [xmms-mid-0.02]
- initialization of spec file.

%prep
%setup -q
%patch -P 1 2

%build
CFLAGS="%{optflags}" ./configure --prefix=%{_prefix}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS C* INSTALL* NEWS README* TODO* FAQ* VERSION
%{_libdir}/xmms/Input/*

%clean
rm -rf %{buildroot}
# end of file
