%define momorel 2

Summary: Modplug Plugin for XMMS
Name: xmms-modplug
Version: 2.03
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://modplug-xmms.sourceforge.net/
Source: http://telia.dl.sourceforge.net/sourceforge/modplug-xmms/modplugxmms-%{version}.tar.gz
Patch0: modplugxmms-2.0-gcc3.patch
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: xmms >= 1.0.0
BuildPrereq: xmms-devel
Prefix:	/usr

%description
Modplug-XMMS is a fully featured, complete input plugin for XMMS which
plays mod-like music formats. It is based on the mod rendering code from
ModPlug, a popular windows mod player written by Olivier Lapicque,
found at http://www.modplug.com

%prep
%setup -q -n modplugxmms-%{version}
%patch0 -p1 -b .gcc3

%build
libtoolize -c -f
aclocal
autoconf
%ifnarch alpha alphaev5
%configure
%else
%configure --host=alpha-pc-linux
%endif
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-  ,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/xmms/Input/libmodplugxmms.so
%{_libdir}/xmms/Input/libmodplugxmms.la
%{_libdir}/libmodplug.so.0.0.0
%{_libdir}/libmodplug.so.0
%{_libdir}/libmodplug.so
%{_libdir}/libmodplug.la
%{prefix}/include/modplug.h

%changelog
* Mon Oct  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.03-2m)
- rebuild against xmms-1.2.7-23m
- use momorel

* Tue Oct 15 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.03-1m)
- update to 2.03
- add gcc3 patch

* Sun Jul  8 2001 Toru Hoshina <toru@df-usa.com>
- (1.2-8k)
- add alphaev5 support.

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Mon Apr 10 2000 Toru Hoshina <t@kondara.org>
- added alpha support.

* Mon Apr 10 2000 Yuichiro Orino <yuu_@pop21.odn.ne.jp>
- 1st release.
