%define momorel 3

Summary: Another ALSA Output plugin for xmms
Name: xmms-alsa

Version: 0.9.10
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://savannah.nongnu.org/download/alsa-xmms/
Source: http://freesoftware.fsf.org/download/alsa-xmms/alsa-xmms-%{version}.tar.gz
#Patch0: xmms-alsa-0.4.1-rh.patch
Requires: xmms >= 1.2.1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: x11amp-alsa
BuildPreReq: alsa-lib >= 0.9.0
BuildPreReq: xmms-devel >= 1.2.7
Patch1: alsa-xmms-0.9.10-noalsa.patch
NoSource: 0

%description
ALSA output plugin for xmms. This version requires alsa-driver and alsa-lib.

%prep
%setup -q -n alsa-xmms-%{version}
#%patch0 -p1 -b .rh
%patch1 -p1 -b .noalsa

%build
%configure
export SED="%__sed" EGREP="%__grep -E" LTCC='gcc' max_cmd_len=32768
make

%install
rm -rf %{buildroot}
export SED="%__sed" EGREP="%__grep -E" LTCC='gcc' max_cmd_len=32768
make DESTDIR=%{buildroot} install

%post
/sbin/ldconfig  

%postun -p /sbin/ldconfig 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xmms/Output/*

%changelog
* Mon Oct  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.10-3m)
- rebuild against xmms-1.2.7-23m

* Tue Jul  8 2003 Kimitake Shibata <cipher@da2.so-net.ne.jp>
- (0.9.10-2m)
  for libtool

* Wed Apr 23 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.10-1m)

* Sun Nov 10 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.7-1m)

* Tue Oct 15 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.5-2m)
- remove BuildPreReq: xmms-modplug

* Sat Sep 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.5-1m)

* Fri Aug 30 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.3-2m)
- add noalsa patch

* Mon Aug 26 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.9.3-1m)
- initial import
