%define momorel 6

%define plugindir /usr/lib/xmms/Input

Name: xmms-mad
Summary: Input plugin for xmms that uses libmad to decode MPEG layer 1/2/3 file and streams.
Version: 0.0.9
Release: %{momorel}m
Source: http://www.superduper.net/downloads/xmms-mad/%{name}-%{version}.tar.gz
License: GPL
Group: Applications/Multimedia
# NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: xmms >= 1.0.0
BuildPrereq: xmms-devel >= 1.2.7-12k
BuildPrereq: mad-devel >= 0.14.2b

%description
xmms-mad is an input plugin for xmms that uses libmad to decode MPEG layer 1/2/3 file and streams.
 Current featured include:
    * local mp3 file playback
    * shoutchast/icecast stream playback
    * seeking
    * ID3 tag parsing
    * http header parsing

%prep
rm -rf %{buildroot}

%setup -q

./bootstrap

%build
%configure
make libdir=%{plugindir}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} libdir=%{plugindir} install 

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL
%{plugindir}/libxmmsmad.*

%changelog
* Mon Oct  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.9-6m)
- rebuild against xmms-1.2.7-23m
- use momorel

* Sat Jul 27 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (0.0.9-5m)
- add source tar ball.

* Sun May 12 2002 Toshiro HIKITA <toshi@sodan.org>
- (0.0.9-4k)
- requires mad-devel >= 0.14.2b

* Sun May 12 2002 Toshiro HIKITA <toshi@sodan.org>
- (0.0.9-2k)
- Initail Build,Kondarize
