%define momorel 3

%define __libtoolize :
Summary:	XMMS SMPEG Plugin
Name:		xmms-smpeg
Version:	0.3.5
Release:	%{momorel}m
License:	GPL
Group:		Applications/Multimedia
URL:		http://www.xmms.org/
#Vendor:		4Front Technologies <olle@xmms.org>
Source:		http://www.xmms.org/files/plugins/smpeg-xmms/smpeg-xmms-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires:	xmms >= 1.0.1, gtk+1 >= 1.2.7, smpeg >= 0.4.1
BuildPrereq:	xmms-devel, gtk+1-devel >= 1.2.7, SDL >= 1.1.5, smpeg-devel >= 0.4.1
NoSource: 0

%description
A mpeg plugin for XMMS using SDL/smpeg as backend.

%prep
%setup -q -n smpeg-xmms-%{version}

%build
%configure
make

%install
rm -rf %{buildroot};
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot};

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_libdir}/xmms/Input/libsmpeg_xmms.*

%changelog
* Mon Oct  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.5-3m)
- rebuild against xmms-1.2.7-23m
- use momorel

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.5-2m)
  rebuild against DirectFB 0.9.18

* Sun Mar  9 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.5-1m)
- version 0.3.5

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.3.4-6k)
- Removed Vendor tag.

* Fri Oct 26 2001 Toru Hoshina <t@kondara.org>
- (0.3.4-4k)
- fixed prereqs.

* Sun Aug 26 2001 Toru Hoshina <t@kondara.org>
- (0.3.4-2k)
- 1st release for Kondara.
